PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Ad Count Stats API

POST/open-api/v1/ad-monitor-task/ad-count-statistics
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/ad-count-statistics' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
    "task_id": "902175d02614903e4944dfdfe85bbb4d",
    "date_start": 1760745600,
    "date_end": 1761350399
}'

Request parameters 4 fields

Pass each parameter in its specified location.

Parameter Type Description
body
body · optional
object | none
» task_id
body · required
string Monitor Task ID | none
» date_start
body · optional
integer Start Date | Timestamp in seconds.
» date_end
body · optional
integer End Date | Timestamp in seconds.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "data": [
            {
                "date": 1761264000,
                "ad_total_count": 51219,
                "ad_active_count": 3052,
                "ad_new_count": 47,
                "landing_page_total_count": 8413,
                "landing_page_new_count": 0,
                "ad_product_total_count": 151,
                "ad_product_active_count": 45,
                "ad_product_new_count": 0
            },
            {
                "date": 1761177600,
                "ad_total_count": 51059,
                "ad_active_count": 2892,
                "ad_new_count": 411,
                "landing_page_total_count": 8413,
                "landing_page_new_count": 102,
                "ad_product_total_count": 151,
                "ad_product_active_count": 45,
                "ad_product_new_count": 1
            },
            {
                "date": 1761091200,
                "ad_total_count": 50450,
                "ad_active_count": 2880,
                "ad_new_count": 248,
                "landing_page_total_count": 8305,
                "landing_page_new_count": 16,
                "ad_product_total_count": 150,
                "ad_product_active_count": 44,
                "ad_product_new_count": 0
            },
            {
                "date": 1761004800,
                "ad_total_count": 49890,
                "ad_active_count": 2641,
                "ad_new_count": 217,
                "landing_page_total_count": 8278,
                "landing_page_new_count": 9,
                "ad_product_total_count": 150,
                "ad_product_active_count": 43,
                "ad_product_new_count": 1
            },
            {
                "date": 1760918400,
                "ad_total_count": 49487,
                "ad_active_count": 3968,
                "ad_new_count": 246,
                "landing_page_total_count": 8255,
                "landing_page_new_count": 23,
                "ad_product_total_count": 149,
                "ad_product_active_count": 43,
                "ad_product_new_count": 0
            }
        ]
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» data [object] true none Data List none
»»» date integer true none Date Timestamp in seconds.
»»» ad_total_count integer true none Total Ad Count none
»»» ad_active_count integer true none Active Ad Count none
»»» ad_new_count integer true none New Ad Count none
»»» landing_page_total_count integer true none Total Landing Page Count none
»»» landing_page_new_count integer true none New Landing Page Count none
»»» ad_product_total_count integer true none Total Ad Product Count none
»»» ad_product_new_count integer true none New Ad Product Count none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths